package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CountrysideSewage;
import com.lightinit.hsdatashow.entity.CountrysideSewageExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CountrysideSewageMapper {
    long countByExample(CountrysideSewageExample example);

    int deleteByExample(CountrysideSewageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CountrysideSewage record);

    int insertSelective(CountrysideSewage record);

    List<CountrysideSewage> selectByExample(CountrysideSewageExample example);

    CountrysideSewage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CountrysideSewage record, @Param("example") CountrysideSewageExample example);

    int updateByExample(@Param("record") CountrysideSewage record, @Param("example") CountrysideSewageExample example);

    int updateByPrimaryKeySelective(CountrysideSewage record);

    int updateByPrimaryKey(CountrysideSewage record);

    List<CountrysideSewage> getCountrysideSewage(@Param("year") int year);
}